﻿@model HOD.Models.RegisterModel
@{
    ViewBag.Title = "Upgrade Account";
}

@{
    Layout = "~/Views/Shared/_SecuredPagesLayout.cshtml";
}



@{

    string RootDirectory = ViewBag.RootUrl;
    string ImageDirectory = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/";
    const string TIER_SESSIONKEY = "TIER";
    const string TIERS_FREE = "FREE";
    bool isFreeTier = false;

    string address = Model.Address + ", " + Model.City + ", " + Model.Province;

    HOD.Data.Entities.UserProfile agentDetails;
    string logoImage = string.Empty;
    int agentId = 0;
    string background = string.Empty;
    string businessName = string.Empty;
    string phone1 = string.Empty;
    string phone2 = string.Empty;
    string agentPhoto = string.Empty;
    string agentAddress = string.Empty;
    string province = string.Empty;
    string postalCode = string.Empty;
    string agentUrl = string.Empty;

    HOD.Data.Entities.AgentInformation agentData;

    if (Session["AGENTID"] != null)
    {
        agentId = int.Parse(Session["AGENTID"].ToString());
    }
    else
    {
        agentId = Model.AgentID;
    }

    if (Session[TIER_SESSIONKEY] == null)
    {
        isFreeTier = false;
    }
    else
    {
        if (Session[TIER_SESSIONKEY].ToString().ToUpper() == TIERS_FREE)
        {
            isFreeTier = true;
        }
        else
        {
            isFreeTier = false;
        }
    }


    using (HOD.Data.Entities.HODContext db = new HOD.Data.Entities.HODContext())
    {
        agentDetails = db.UserProfiles.Where(x => x.UserId == agentId).FirstOrDefault();

        if (agentDetails != null && agentDetails.Tier.ToUpper() == "FREE")
        {
            isFreeTier = true;
        }
        else
        {
            isFreeTier = false;
        }
    }

    bool isCasaVueAgent = false;

    if (agentId == Convert.ToInt32(System.Configuration.ConfigurationManager.AppSettings["DefaultAgentId"].ToString()))
    {
        isCasaVueAgent = true;
    }
     
    
    using (HOD.Data.Entities.HODContext dbContext = new HOD.Data.Entities.HODContext())
    {
        var uid = WebSecurity.CurrentUserId;
        var listingDetails = dbContext.Listings.Where(x => x.UserId == uid).FirstOrDefault();

        //if (Model.City == "")
        //{
        //    Model.City = listingDetails.City;
        //}
            
        
        agentData = dbContext.AgentInformations.Where(x => x.AgentId == agentId).FirstOrDefault();

        if (agentData != null)
        {

            if (agentData.MainWebsitePhoto != null)
            {
                logoImage = ImageDirectory + agentData.MainWebsitePhoto;
            }
            agentPhoto = ImageDirectory + agentData.ProfilePhoto;
            background = ImageDirectory + agentData.BackgroundPhoto;
            logoImage = ImageDirectory + agentData.Logo;
            businessName = agentData.BusinessName;
            phone1 = agentData.Phone1;
            phone2 = agentData.Phone2;
            province = agentData.Province;
            postalCode = agentData.PostalCode;
            agentAddress = agentData.BusinessAddress;
            agentUrl = agentData.AgentUrl;
            if (isFreeTier && !isCasaVueAgent)
            {
                background = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/bgTopNew.jpg";
                logoImage = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/AP_logo.png";
            }
        }
        else
        {
            agentPhoto = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/Apex-Headshot-logo.png";
            logoImage = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/AP_logo.png";
        }
    }
}
   }
}
@{
    
    //get the listing details
     

    //User is signing up as an Agent
    //var userType = (string)TempData["UserType"];
    var userType = Model.UserType;

    if (userType != null && userType.ToUpper() == "AGENT")
    {
        background = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/bgTopNew.jpg";
        logoImage = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/AP_logo.png";
    }
}


<script type="text/javascript">
        var $body = $('body');

        $body.css('backgroundImage', 'url("@background")');//.height(525).width(1660);
        $('#agentLogo').attr('src', '@logoImage ');
</script>




@section head{

    <script type="text/javascript">

        $(document).on('invalid-form.validate', 'form', function () {
            var button = $(this).find('input[type="submit"]');
            setTimeout(function () {
                button.removeAttr('disabled');
            }, 1);
        });

        $(document).on('submit', 'form', function () {
            var button = $(this).find('input[type="submit"]');
            setTimeout(function () {
                button.attr('disabled', 'disabled');
            }, 0);
        });

        $.validator.unobtrusive.adapters.addBool("mandatory", "required");

        $(document).ready(function () {

            $('#copybillingaddress').change(function () {
                var firstnameVal = $("#firstname").val();
                var lastnameVal = $("#lastname").val();
                var addressVal = $("#address").val();
                var cityVal = $("#city").val();
                var provinceVal = $("#province").val();
                var postalcodeVal = $("#postalcode").val();

                if (this.checked) {
                    $("#billingname").val(firstnameVal + " " + lastnameVal);

                    $("#billingaddress").val(addressVal);
                    $("#billingcity").val(cityVal);
                    $("#billingprovince").val(provinceVal);
                    $("#billingpostalcode").val(postalcodeVal);
                }
                else {
                    $("#billingname").val($("#billingname").val());
                    $("#billingaddress").val($("#billingaddress").val());
                    $("#billingcity").val($("#billingcity").val());
                    $("#billingprovince").val($("#billingprovince").val());
                    $("#billingpostalcode").val($("#billingpostalcode").val());
                }
            });
        });

        $(document).ready(function () {

            $('#firstname').change(function () {
                if ($("#copybillingaddress").prop('checked') == true) {
                    $("#billingname").val($("#firstname").val() + " " + $("#lastname").val());
                }
            });

            $('#lastname').change(function () {
                if ($("#copybillingaddress").prop('checked') == true) {
                    $("#billingname").val($("#firstname").val() + " " + $("#lastname").val());
                }
            });

            $('#address').change(function () {
                if ($("#copybillingaddress").prop('checked') == true) {
                    $("#billingaddress").val($("#address").val());
                }
            });

            $('#city').change(function () {
                if ($("#copybillingaddress").prop('checked') == true) {
                    $("#billingcity").val($("#city").val());
                }
            });

            $('#province').change(function () {
                if ($("#copybillingaddress").prop('checked') == true) {
                    $("#billingprovince").val($("#province").val());
                }
            });

            $('#postalcode').change(function () {
                if ($("#copybillingaddress").prop('checked') == true) {
                    $("#billingpostalcode").val($("#postalcode").val());
                }
            });

        });

        $(document).ready(function () {

            $("#PrivacyBronze").prop('checked', false);
            $("#LawnSignBronze").prop('checked', false);
            $("#DurableBronze").prop('checked', false);
            $("#AdAgentBronze").prop('checked', false);
            $("#AssistantBronze").prop('checked', false);

            $("#DurableSilver").prop('checked', false);
            $("#AdAgentSilver").prop('checked', false);
            $("#AssistantSilver").prop('checked', false);

            $("#AgentChkBox").prop('checked', true);

            var total = parseFloat("00.00");

            var initialPackageName = $('#packageSelection').val();

            if (initialPackageName == "") {
                $("#tr_DurableSilver").hide();
                $("#tr_AdAgentSilver").hide();
                $("#tr_AssistantSilver").hide();

                $("#tr_DurableBronze").hide();
                $("#tr_AdAgentBronze").hide();
                $("#tr_AssistantBronze").hide();
                $("#tr_PrivacyBronze").hide();
                $("#tr_LawnSignBronze").hide();

                $("#tr_AgentChkBox").hide();
                $("#tr_AgentURL").hide();

                total = parseFloat("00.00");
                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                $("#td_Agent_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            }
            else if (initialPackageName == "Gold") {
                $("#tr_DurableSilver").hide();
                $("#tr_AdAgentSilver").hide();
                $("#tr_AssistantSilver").hide();

                $("#tr_DurableBronze").hide();
                $("#tr_AdAgentBronze").hide();
                $("#tr_AssistantBronze").hide();
                $("#tr_PrivacyBronze").hide();
                $("#tr_LawnSignBronze").hide();

                total = parseFloat("19.95");
                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            }
            else if (initialPackageName == "Bronze") {
                $("#tr_PrivacyBronze").show();
                $("#tr_LawnSignBronze").show();
                $("#tr_DurableBronze").show();
                $("#tr_AdAgentBronze").show();
                $("#tr_AssistantBronze").show();

                $("#tr_DurableSilver").hide();
                $("#tr_AdAgentSilver").hide();
                $("#tr_AssistantSilver").hide();

                total = parseFloat("49.95");
                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            }
            else if (initialPackageName == "Silver") {
                $("#tr_DurableSilver").show();
                $("#tr_AdAgentSilver").show();
                $("#tr_AssistantSilver").show();

                $("#tr_DurableBronze").hide();
                $("#tr_AdAgentBronze").hide();
                $("#tr_AssistantBronze").hide();
                $("#tr_PrivacyBronze").hide();
                $("#tr_LawnSignBronze").hide();

                total = parseFloat("299.95");
                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            }
            else if (initialPackageName == "Agent") {
                $("#tr_AgentChkBox").show();
                $("#tr_AdAgentSilver").show();
                $("#tr_AgentURL").show();

                total = parseFloat("19.95");
                $("#td_Agent_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            }

            $('#packageSelection').change(function () {

                var packageName = $(this).val();

                if (packageName == "Bronze") {
                    $("#tr_PrivacyBronze").show();
                    $("#tr_LawnSignBronze").show();
                    $("#tr_DurableBronze").show();
                    $("#tr_AdAgentBronze").show();
                    $("#tr_AssistantBronze").show();

                    $("#PrivacyBronze").prop('checked', false);
                    $("#LawnSignBronze").prop('checked', false);
                    $("#DurableBronze").prop('checked', false);
                    $("#AdAgentBronze").prop('checked', false);
                    $("#AssistantBronze").prop('checked', false);

                    $("#tr_DurableSilver").hide();
                    $("#tr_AdAgentSilver").hide();
                    $("#tr_AssistantSilver").hide();

                    total = parseFloat("49.95");
                    $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                    $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                }
                else if (packageName == "Silver") {
                    $("#tr_DurableSilver").show();
                    $("#tr_AdAgentSilver").show();
                    $("#tr_AssistantSilver").show();

                    $("#DurableSilver").prop('checked', false);
                    $("#AdAgentSilver").prop('checked', false);
                    $("#AssistantSilver").prop('checked', false);

                    $("#tr_DurableBronze").hide();
                    $("#tr_AdAgentBronze").hide();
                    $("#tr_AssistantBronze").hide();
                    $("#tr_PrivacyBronze").hide();
                    $("#tr_LawnSignBronze").hide();

                    total = parseFloat("299.95");
                    $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                    $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                }
                else if (packageName == "Gold") {
                    $("#tr_DurableSilver").hide();
                    $("#tr_AdAgentSilver").hide();
                    $("#tr_AssistantSilver").hide();

                    $("#tr_DurableBronze").hide();
                    $("#tr_AdAgentBronze").hide();
                    $("#tr_AssistantBronze").hide();
                    $("#tr_PrivacyBronze").hide();
                    $("#tr_LawnSignBronze").hide();

                    total = parseFloat("19.95");
                    $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                    $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                }
                else if (packageName == "Agent") {
                    $("#tr_AgentChkBox").show();
                    $("#tr_AdAgentSilver").show();
                    $("#tr_AgentURL").show();

                    total = parseFloat("19.95");
                    $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                    $("#td_Agent_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                }
                else {
                    $("#tr_DurableSilver").hide();
                    $("#tr_AdAgentSilver").hide();
                    $("#tr_AssistantSilver").hide();

                    $("#tr_DurableBronze").hide();
                    $("#tr_AdAgentBronze").hide();
                    $("#tr_AssistantBronze").hide();
                    $("#tr_PrivacyBronze").hide();
                    $("#tr_LawnSignBronze").hide();

                    $("#tr_AgentChkBox").hide();
                    $("#tr_AdAgentSilver").hide();
                    $("#tr_AgentURL").hide();

                    total = parseFloat("00.00");
                    $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                    $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                    $("#td_Agent_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                    $("#pricePh").hide();
                }
            });

            $('#AgentChkBox').change(function () {

                if ($("#AgentChkBox").prop('checked') == true) {
                    total + parseFloat("19.95");
                }
                else {
                    total = parseFloat("19.95");
                }

                //alert(total.toFixed(2));

                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                $("#td_Agent_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            });

            $('#PrivacyBronze').change(function () {

                if ($("#PrivacyBronze").prop('checked') == true) {
                    total += parseFloat("9.95");
                }
                else {
                    total -= parseFloat("9.95");
                }

                //alert(total.toFixed(2));

                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            });

            $('#LawnSignBronze').change(function () {

                if ($("#LawnSignBronze").prop('checked') == true) {
                    total += parseFloat("75.00");
                }
                else {
                    total -= parseFloat("75.00");
                }

                //alert(total.toFixed(2));

                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            });

            $('#DurableBronze').change(function () {

                if ($("#DurableBronze").prop('checked') == true) {
                    total += parseFloat("125.00");
                }
                else {
                    total -= parseFloat("125.00");
                }

                //alert(total.toFixed(2));

                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            });

            $('#DurableSilver').change(function () {

                if ($("#DurableSilver").prop('checked') == true) {
                    total += parseFloat("125.00");
                }
                else {
                    total -= parseFloat("125.00");
                }

                //alert(total.toFixed(2));

                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            });

            $('#AdAgentBronze').change(function () {

                if ($("#AdAgentBronze").prop('checked') == true) {
                    total += parseFloat("199.95");
                }
                else {
                    total -= parseFloat("199.95");
                }

                //alert(total.toFixed(2));

                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            });

            $('#AdAgentSilver').change(function () {

                if ($("#AdAgentSilver").prop('checked') == true) {
                    total += parseFloat("199.95");
                }
                else {
                    total -= parseFloat("199.95");
                }

                //alert(total.toFixed(2));

                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            });

            $('#AssistantBronze').change(function () {

                if ($("#AssistantBronze").prop('checked') == true) {
                    total += parseFloat("49.95");
                }
                else {
                    total -= parseFloat("49.95");
                }

                //alert(total.toFixed(2));

                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            });

            $('#AssistantSilver').change(function () {

                if ($("#AssistantSilver").prop('checked') == true) {
                    total += parseFloat("49.95");
                }
                else {
                    total -= parseFloat("49.95");
                }

                //alert(total.toFixed(2));

                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            });

        });

        $(document).ready(function(){

            if ($('#CHKBXPAYFORUSER').prop('checked')) {

                $('#TXTBXCARDNUM').attr("readonly", true);
                $('#TXTBXCVC').attr("readonly", true)
                $('#copybillingaddress').attr("readonly", true);
                $('#DRPBXYEAR').attr("readonly", true);
                $('#DRPBXMONTH').attr("readonly", true);
                $("#copybillingaddress").attr("disabled", true);
                $("#billingname").attr("readonly", true);
                $("#billingaddress").attr("readonly", true);
                $("#billingcity").attr("readonly", true);
                $("#billingprovince").attr("readonly", true);
                $("#billingpostalcode").attr("readonly", true);
            }
            else {
                $("#CHKBXPAYFORUSER").attr("readonly", true);
            }


            $('#CHKBXPAYFORUSER').change(function () {
                if (this.checked) {

                }
                else {
                    $('#TXTBXCARDNUM').removeAttr("readonly");
                    $('#TXTBXCVC').removeAttr("readonly");
                    $('#copybillingaddress').removeAttr("readonly");
                    $('#DRPBXYEAR').removeAttr("readonly");
                    $('#DRPBXMONTH').removeAttr("readonly");
                    $("#copybillingaddress").removeAttr("disabled");
                    $("#billingname").removeAttr("readonly");
                    $("#billingaddress").removeAttr("readonly");
                    $("#billingcity").removeAttr("readonly");
                    $("#billingprovince").removeAttr("readonly");
                    $("#billingpostalcode").removeAttr("readonly");
                    $("#CHKBXPAYFORUSER").attr("disabled", true);

                    $('#TXTBXCARDNUM').val("");
                    $('#TXTBXCVC').val("");

                    $('#DRPBXYEAR').val("");
                    $('#DRPBXMONTH').val("");
                    $("#copybillingaddress").val("");
                    $("#billingname").val("");
                    $("#billingaddress").val("");
                    $("#billingcity").val("");
                    $("#billingprovince").val("");
                    $("#billingpostalcode").val("");

                }
            });
        });

    </script>

}


<div class="details_holder">
    <div class="panel panel-default" style="border:none">
        <div class="panel-heading" align="left">Upgrade Your Account</div>
        <div class="panel-body" style="background-color: #ffffff;">
            @using (Html.BeginForm("Upgrade", "Account", FormMethod.Post, new Dictionary<string, object> { { "id", "payment-form" }, { "enctype", "multipart/form-data" }, { "class", "form-horizontal" } }))
            {

                @Html.AntiForgeryToken()
                @Html.ValidationSummary()

                @Html.HiddenFor(m => m.UserName)
                @Html.HiddenFor(m => m.UserType)
                @Html.Hidden("redirectUrl", ViewData["redirectUrl"])
                @Html.HiddenFor(m => m.AgentID, agentId)
                @Html.HiddenFor(m => m.AgentPayOnUserBehalf, Model.AgentPayOnUserBehalf)
                @Html.HiddenFor(m => Session["currListingId"])

                @*@Html.Hidden("PackageName", Model.PackageName)
                    @Html.Hidden("PackageLawnSign", Model.PackageLawnSign)
                    @Html.Hidden("PackagePrivacy", Model.PackagePrivacy)
                    @Html.Hidden("PackageAdAgent", Model.PackageAdAgent)
                    @Html.Hidden("PackageAssistant", Model.PackageAssistant)
                    @Html.Hidden("PackageDurable", Model.PackageDurable)*@

                <div class="form-group">
                    <fieldset class="">
                        <div class="panel panel-primary hidden">
                            <div class="panel-heading" align="left">Account Information - all fields are required </div>
                            <div class="panel-body">
                                <div class="form-group">
                                    @Html.LabelFor(m => m.UserName, "Client Email Login:", new { @class = "col-sm-3 control-label", @placeholder = "Email Address" })
                                    <div class="col-sm-4">
                                        @Html.TextBoxFor(m => m.UserName, new { @class = "form-control", @placeholder = "Email Address", @maxlength = "56" })
                                    </div>
                                    <div class="col-sm-4">
                                        This will be your username for future sign.<br />
                                        @Html.ValidationMessageFor(m => m.UserName)
                                    </div>
                                </div>
                                <div class="form-group">
                                    @Html.LabelFor(m => m.Password, "Password ", new { @class = "col-sm-3 control-label" })
                                    <div class="col-sm-3">
                                        @Html.TextBoxFor(m => m.Password, new { @class = "form-control", @placeholder = "Password", @maxlength = "128" })
                                    </div>
                                    @Html.ValidationMessageFor(m => m.Password)
                                </div>
                                <div class="form-group">
                                    @Html.LabelFor(m => m.ConfirmPassword, "Confirm Password ", new { @class = "col-sm-3 control-label" })
                                    <div class="col-sm-3">
                                        @Html.TextBoxFor(m => m.ConfirmPassword, new { @class = "form-control", @placeholder = "Confirm Password", @maxlength = "128" })
                                    </div>
                                    @Html.ValidationMessageFor(m => m.ConfirmPassword)
                                </div>
                            </div>
                        </div>


                        <div class="panel panel-primary">
                            <div class="panel-heading" align="left">
                                <div>
                                    Client Property Information (Note: Only Neighbourhood, City, State/Prov will be displayed publicly on Virtual Lawn Sign and on Property Website).
                                    @*                                     @if(Model.UserType != "Buyer")
                     {
                    <div style="float: right">
                        @Html.CheckBoxFor(m => m.PrivateMessageFeature)
                        @Html.LabelFor(m => m.PrivateMessageFeature)
                    </div>
                     }*@
                                </div>

                            </div>
                            <div class="panel-body">
                                <div class="form-group">
                                    @Html.LabelFor(m => m.FirstName, "First Name ", new { @class = "col-sm-3 control-label" })
                                    <div class="col-sm-3">
                                        
                                        @Html.TextBoxFor(m => m.FirstName, new { @class = "form-control", @placeholder = "First Name", id = "firstname", @maxlength = "56" })
                                        &nbsp;
                                        @Html.ValidationMessageFor(m => m.FirstName)
                                    </div>
                                    <div style="float: left; white-space: nowrap;" class="col-sm-2">
                                        @Html.LabelFor(m => m.LastName, "Last Name", new { @class = "col-sm-1 control-label" })

                                    </div>
                                    <div class="col-sm-3" align="left">
                                        @Html.TextBoxFor(m => m.LastName, new { @class = "form-control", @placeholder = "Last Name", id = "lastname", @maxlength = "56" })
                                        &nbsp;
                                        @Html.ValidationMessageFor(m => m.LastName)
                                    </div>
                                    <div class="col-sm-4">
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.LabelFor(m => m.PhoneNumberCell, "Phone Number (Cell) ", new { @class = "col-sm-3 control-label" })
                                    <div class="col-sm-3">
                                        @Html.TextBoxFor(m => m.PhoneNumberCell, new { @class = "form-control", @placeholder = "Phone Number (Cell)", @maxlength = "20" })

                                    </div>
                                    @*                                <div style="float: left; white-space: nowrap;" class="col-sm-2">
                        @Html.Label("Mobile Carrier ", new { @class = "col-sm-3 control-label" })
                    </div>
                    <div class="col-sm-3">

                        @Html.DropDownListFor(m => m.MobileCarrier, new SelectList(
                                  new List<Object>{
                                    new { value="", text = "Select a Carrier" },
                                    new { value="Bell Mobility (CA)", text = "Bell Mobility (CA)" },
                                    new { value="Fido (CA)", text = "Fido (CA)" },
                                    new { value="Koodo Mobile (CA)", text = "Koodo Mobile (CA)" },
                                    new { value="Mobilicity (CA)", text = "Mobilicity (CA)" },
                                    new { value="MTS (CA)", text = "MTS (CA)" },
                                    new { value="NorthernTel (CA)", text = "NorthernTel (CA)" },
                                    new { value="Public Mobile (CA)", text = "Public Mobile (CA)" },
                                    new { value="Rogers (CA)", text = "Rogers (CA)" },
                                    new { value="SaskTel (CA)", text = "SaskTel (CA)" },
                                    new { value="Solo Mobile (CA)", text = "Solo Mobile (CA)" },
                                    new { value="Telebec (CA)", text = "Telebec (CA)" },
                                    new { value="TELUS (CA)", text = "TELUS (CA)" },
                                    new { value="Videotron (CA)", text = "Videotron (CA)" },
                                    new { value="Virgin Mobile (CA)", text = "Virgin Mobile (CA)" },
                                    new { value="Wind Mobile (CA)", text = "Wind Mobile (CA)" },
                                    },
                                  "value",
                                  "text",
                                   2), new { @class = "form-control", @placeholder = "Mobile Carrier" })
                    </div>*@
                                    <div class="col-sm-4" style="margin-top:9px;">
                                        @Html.ValidationMessageFor(m => m.PhoneNumberCell)
                                        @* @Html.ValidationMessageFor(m => m.MobileCarrier)*@
                                    </div>
                                </div>
                                <div class="form-group">
                                    @Html.LabelFor(m => m.PhoneNumberLandLine, "Phone Number (Landline) ", new { @class = "col-sm-3 control-label" })
                                    <div class="col-sm-3">
                                        @Html.TextBoxFor(m => m.PhoneNumberLandLine, new { @class = "form-control", @placeholder = "Phone Number (Landline)", @maxlength = "20" })
                                    </div>
                                    <div class="col-sm-4">
                                        @Html.ValidationMessageFor(m => m.PhoneNumberLandLine)
                                    </div>
                                </div>
                                <div class="form-group">
                                    @Html.LabelFor(m => m.Address, "Address ", new { @class = "col-sm-3 control-label" })
                                    <div class="col-sm-3">
                                        @Html.TextAreaFor(m => m.Address, new { @class = "form-control", @placeholder = "Address", id = "address", @rows = "3", @maxlength = "200" })
                                        &nbsp;
                                        @Html.ValidationMessageFor(m => m.Address)
                                    </div>
                                    <div style="float: left; white-space: nowrap;" class="col-sm-2">
                                        @Html.LabelFor(m => m.City, "City ", new { @class = "col-sm-3 control-label" })
                                    </div>
                                    <div class="col-sm-3" align="left">
                                        @Html.TextBoxFor(m => m.City, new { @class = "form-control", @placeholder = "City", id = "city", @maxlength = "56" })
                                        &nbsp;
                                        @Html.ValidationMessageFor(m => m.City)
                                    </div>
                                    <div class="col-sm-4">


                                    </div>
                                </div>
                                <div class="form-group">
                                    @Html.Label("Province/State ", new { @class = "col-sm-3 control-label" })
                                    <div class="col-sm-3">
                                        @Html.DropDownListFor(m => m.Province, new SelectList(
                                                  new List<Object>{
                                                    new { value="", text = "PROVINCE/STATE" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="", text = "CANADIAN PROVINCES" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="Alberta", text = "Alberta" },
                                                    new { value="British Columbia", text = "British Columbia" },
                                                    new { value="Manitoba", text = "Manitoba" },
                                                    new { value="New Brunswick", text = "New Brunswick" },
                                                    new { value="NewFoundland and Labrador", text = "NewFoundland and Labrador" },
                                                    new { value="Northwest Terriories", text = "Northwest Terriories" },
                                                    new { value="Nova Scotia", text = "Nova Scotia" },
                                                    new { value="Nunavut", text = "Nunavut" },
                                                    new { value="Ontario", text = "Ontario" },
                                                    new { value="Prince Edwards Island", text = "Prince Edwards Island" },
                                                    new { value="Quebec", text = "Quebec" },
                                                    new { value="Saskatchewan", text = "Saskatchewan" },
                                                    new { value="Yukon", text = "Yukon" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="", text = "US STATES" },
                                                    new { value="", text = "-----------------" },
                                                    new  { Text="Alabama", Value="AL"},
                                                    new  { Text="Alaska", Value="AK"},
                                                    new  { Text="Arizona", Value="AZ"},
                                                    new  { Text="Arkansas", Value="AR"},
                                                    new  { Text="California", Value="CA"},
                                                    new  { Text="Colorado", Value="CO"},
                                                    new  { Text="Connecticut", Value="CT"},
                                                    new  { Text="District of Columbia", Value="DC"},
                                                    new  { Text="Delaware", Value="DE"},
                                                    new  { Text="Florida", Value="FL"},
                                                    new  { Text="Georgia", Value="GA"},
                                                    new  { Text="Hawaii", Value="HI"},
                                                    new  { Text="Idaho", Value="ID"},
                                                    new  { Text="Illinois", Value="IL"},
                                                    new  { Text="Indiana", Value="IN"},
                                                    new  { Text="Iowa", Value="IA"},
                                                    new  { Text="Kansas", Value="KS"},
                                                    new  { Text="Kentucky", Value="KY"},
                                                    new  { Text="Louisiana", Value="LA"},
                                                    new  { Text="Maine", Value="ME"},
                                                    new  { Text="Maryland", Value="MD"},
                                                    new  { Text="Massachusetts", Value="MA"},
                                                    new  { Text="Michigan", Value="MI"},
                                                    new  { Text="Minnesota", Value="MN"},
                                                    new  { Text="Mississippi", Value="MS"},
                                                    new  { Text="Missouri", Value="MO"},
                                                    new  { Text="Montana", Value="MT"},
                                                    new  { Text="Nebraska", Value="NE"},
                                                    new  { Text="Nevada", Value="NV"},
                                                    new  { Text="New Hampshire", Value="NH"},
                                                    new  { Text="New Jersey", Value="NJ"},
                                                    new  { Text="New Mexico", Value="NM"},
                                                    new  { Text="New York", Value="NY"},
                                                    new  { Text="North Carolina", Value="NC"},
                                                    new  { Text="North Dakota", Value="ND"},
                                                    new  { Text="Ohio", Value="OH"},
                                                    new  { Text="Oklahoma", Value="OK"},
                                                    new  { Text="Oregon", Value="OR"},
                                                    new  { Text="Pennsylvania", Value="PA"},
                                                    new  { Text="Rhode Island", Value="RI"},
                                                    new  { Text="South Carolina", Value="SC"},
                                                    new  { Text="South Dakota", Value="SD"},
                                                    new  { Text="Tennessee", Value="TN"},
                                                    new  { Text="Texas", Value="TX"},
                                                    new  { Text="Utah", Value="UT"},
                                                    new  { Text="Vermont", Value="VT"},
                                                    new  { Text="Virginia", Value="VA"},
                                                    new  { Text="Washington", Value="WA"},
                                                    new  { Text="West Virginia", Value="WV"},
                                                    new  { Text="Wisconsin", Value="WI"},
                                                    new  { Text="Wyoming", Value="WY"}

                                                    },
                                                  "value",
                                                  "text",
                                                   2), new { @class = "form-control", @placeholder = "Province", id = "province" })

                                        &nbsp;
                                        @Html.ValidationMessageFor(m => m.Province)
                                    </div>
                                    <div style="float: left; white-space: nowrap;" class="col-sm-2">
                                        @Html.LabelFor(m => m.PostalCode, "Postal Code ", new { @class = "col-sm-2 control-label" })
                                    </div>
                                    <div class="col-sm-2">
                                        @Html.TextBoxFor(m => m.PostalCode, new { @class = "form-control", @placeholder = "Postal Code", id = "postalcode", @maxlength = "20" })
                                        &nbsp;

                                    </div>
                                    <div class="col-sm-4" style="margin-top:-20px;margin-left:660px;">
                                        @Html.ValidationMessageFor(m => m.PostalCode)
                                    </div>
                                </div>
                                @Html.DropDownListFor(m => m.Country, new SelectList(
                                                  new List<Object>{
                                                    new { value="", text = "Choose a Country" },
                                                    new { value="CANADA", text = "Canada" },
                                                    new { value="USA", text = "USA" },
                                                    new { value="MEXICO", text = "Mexico" }
                                                    },
                                                  "value",
                                                  "text",
                                                   "CANADA"), new { @class = "form-control", @placeholder = "Country", id = "country", style = "visibility:hidden" })

                                &nbsp;
                                @Html.ValidationMessageFor(m => m.Country)

                            </div>
                        </div>
                        
                        @if (Model.UserType == "Seller" || Model.UserType == "Agent")
                        {
                            <div class="panel panel-primary">
                                <div class="panel-heading" align="left">
                                    <div>
                                        Package Selection
                                        <div style="float: right">
                                        </div>
                                    </div>

                                </div>
                                <div class="panel-body">
                                    <table class="table table-striped table-bordered table-condensed">
                                        <thead>
                                            <tr>
                                                <th>Package Selection</th>
                                                <th>Package Options</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td rowspan="10">

                                                    @if (Model.UserType == "Seller")
                                                    {


                                                        if (isFreeTier)
                                                        {
                                                            @: @Html.DropDownListFor(m => m.Package, new SelectList(
                                                              new List<Object>{
                                                              //   new { value="Listing", text = "Listing Package" },
                                                               // new { value="Silver", text = "Premium Silver Member" },
                                                                new { value="FREE", text = "Free Package"},
                                                                },
                                                              "value",
                                                              "text",
                                                              "Gold"), new { @class = "form-control", @placeholder = "Expiration Year", @id = "packageSelection" })
                                                         }
                                                        else
                                                        {

                                                            List<SelectListItem> PackageItems = new List<SelectListItem>();

                                                            using (HOD.Models.PackageListContext pl = new HOD.Models.PackageListContext())
                                                            {

                                                                var packages = pl.PList.Where(x => x.PackageTypeId == 6);

                                                                if (packages != null)
                                                                {
                                                                    foreach (var pk in packages)
                                                                    {
                                                                        PackageItems.Add(new SelectListItem { Text = pk.PackageName + " Package - $" + pk.PackageAmount.ToString(), Value = pk.PackageId.ToString() });
                                                                    }
                                                                }
                                                            }
                                                            @: @Html.DropDownListFor(m => m.Package, PackageItems, new { @class = "form-control", @placeholder = "Expiration Year", @id = "packageSelection" })


                                                        }
                                                    }

                                                    <br />
                                                    <div id="pricePh" style="float: left;"></div>
                                                </td>
                                            </tr>
                                        </tbody>

                                        @if (Model.UserType == "Agent")
                                        {
                                            <tbody>
                                                <tr>
                                                    <td rowspan="10">
                                                        @Html.DropDownListFor(m => m.Package, new SelectList(
                                                                          new List<Object>{
                                                                            new { value="AGENT", text = "Agent Plan ($19.95)" },
                                                                            },
                                                                          "value",
                                                                          "text",
                                                                          "Agent"), new { @class = "form-control", @id = "packageSelection" })
                                                        <br />
                                                        <div id="pricePh" style="float:left;"></div>

                                                    </td>

                                                </tr>
                                                <tr id="tr_AgentChkBox">
                                                    <td><strong>@Html.CheckBoxFor(m => m.isAgent, new { @id = "AgentChkBox" }) @Html.LabelFor(m => m.isAgent)@Html.ValidationMessageFor(m => m.isAgent)</strong></td>
                                                </tr>
                                                <tr id="tr_AgentURL">
                                                    <td><strong>@Html.LabelFor(m => m.AgentURL)@Html.TextBoxFor(m => m.AgentURL, new { @id = "AgentURL", @size = "50", @maxlength = "50" })@Html.ValidationMessageFor(m => m.AgentURL) </strong></td>
                                                </tr>
                                                <tr>
                                                    <td id="td_Agent_Total"><strong></strong></td>
                                                </tr>

                                            </tbody>
                                        }
                                    </table>

                                </div>
                            </div>
                        }

                        @if (isFreeTier == false)
                        {
                            <div class="panel panel-primary">
                                <div class="panel-heading" align="left">
                                    <div>
                                        Billing Information
                                        <div style="float: right">
                                            @Html.CheckBoxFor(m => m.CopyBillingAddress, new { @id = "copybillingaddress", @checked = "checked" })
                                            @Html.LabelFor(m => m.CopyBillingAddress)
                                        </div>
                                    </div>

                                </div>
                                <div class="panel-body">
                                    <div class="form-group">
                                        @Html.LabelFor(m => m.BillingName, "Billing Name", new { @class = "col-sm-3 control-label", @placeholder = "Billing Name" })
                                        <div class="col-sm-4">
                                            @Html.TextBoxFor(m => m.BillingName, new { @class = "form-control", @placeholder = "Billing Name", id = "billingname", @maxlength = "120" })
                                        </div>
                                        <div class="col-sm-4" style="margin-top:9px;">
                                            @Html.ValidationMessageFor(m => m.BillingName)
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        @Html.LabelFor(m => m.BillingAddress, "Billing Address ", new { @class = "col-sm-3 control-label" })
                                        <div class="col-sm-3">
                                            @Html.TextAreaFor(m => m.BillingAddress, new { @class = "form-control", @placeholder = "Billing Address", id = "billingaddress", @rows = "3", @maxlength = "200" })
                                            &nbsp;
                                            @Html.ValidationMessageFor(m => m.BillingAddress)
                                        </div>
                                        <div style="float: left; white-space: nowrap;" class="col-sm-2">
                                            @Html.LabelFor(m => m.BillingCity, "Billing City ", new { @class = "col-sm-3 control-label" })
                                            @Model.City
                                        </div>
                                        <div class="col-sm-3" align="left">
                                            @Html.TextBoxFor(m => m.BillingCity, new { @class = "form-control", @placeholder = "Billing City", id = "billingcity", @maxlength = "56" })
                                            &nbsp;
                                            @Html.ValidationMessageFor(m => m.BillingCity)
                                        </div>
                                        <div class="col-sm-4">


                                        </div>
                                    </div>
                                    <div class="form-group">
                                        @Html.Label("Billing Province ", new { @class = "col-sm-3 control-label" })
                                        <div class="col-sm-3">

                                            @Html.DropDownListFor(m => m.BillingProvince, new SelectList(
                                                      new List<Object>{
                                                    new { value="", text = "PROVINCE/STATE" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="", text = "CANADIAN PROVINCES" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="Alberta", text = "Alberta" },
                                                    new { value="British Columbia", text = "British Columbia" },
                                                    new { value="Manitoba", text = "Manitoba" },
                                                    new { value="New Brunswick", text = "New Brunswick" },
                                                    new { value="NewFoundland and Labrador", text = "NewFoundland and Labrador" },
                                                    new { value="Northwest Terriories", text = "Northwest Terriories" },
                                                    new { value="Nova Scotia", text = "Nova Scotia" },
                                                    new { value="Nunavut", text = "Nunavut" },
                                                    new { value="Ontario", text = "Ontario" },
                                                    new { value="Prince Edwards Island", text = "Prince Edwards Island" },
                                                    new { value="Quebec", text = "Quebec" },
                                                    new { value="Saskatchewan", text = "Saskatchewan" },
                                                    new { value="Yukon", text = "Yukon" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="", text = "US STATES" },
                                                    new { value="", text = "-----------------" },
                                                    new  { Text="Alabama", Value="AL"},
                                                    new  { Text="Alaska", Value="AK"},
                                                    new  { Text="Arizona", Value="AZ"},
                                                    new  { Text="Arkansas", Value="AR"},
                                                    new  { Text="California", Value="CA"},
                                                    new  { Text="Colorado", Value="CO"},
                                                    new  { Text="Connecticut", Value="CT"},
                                                    new  { Text="District of Columbia", Value="DC"},
                                                    new  { Text="Delaware", Value="DE"},
                                                    new  { Text="Florida", Value="FL"},
                                                    new  { Text="Georgia", Value="GA"},
                                                    new  { Text="Hawaii", Value="HI"},
                                                    new  { Text="Idaho", Value="ID"},
                                                    new  { Text="Illinois", Value="IL"},
                                                    new  { Text="Indiana", Value="IN"},
                                                    new  { Text="Iowa", Value="IA"},
                                                    new  { Text="Kansas", Value="KS"},
                                                    new  { Text="Kentucky", Value="KY"},
                                                    new  { Text="Louisiana", Value="LA"},
                                                    new  { Text="Maine", Value="ME"},
                                                    new  { Text="Maryland", Value="MD"},
                                                    new  { Text="Massachusetts", Value="MA"},
                                                    new  { Text="Michigan", Value="MI"},
                                                    new  { Text="Minnesota", Value="MN"},
                                                    new  { Text="Mississippi", Value="MS"},
                                                    new  { Text="Missouri", Value="MO"},
                                                    new  { Text="Montana", Value="MT"},
                                                    new  { Text="Nebraska", Value="NE"},
                                                    new  { Text="Nevada", Value="NV"},
                                                    new  { Text="New Hampshire", Value="NH"},
                                                    new  { Text="New Jersey", Value="NJ"},
                                                    new  { Text="New Mexico", Value="NM"},
                                                    new  { Text="New York", Value="NY"},
                                                    new  { Text="North Carolina", Value="NC"},
                                                    new  { Text="North Dakota", Value="ND"},
                                                    new  { Text="Ohio", Value="OH"},
                                                    new  { Text="Oklahoma", Value="OK"},
                                                    new  { Text="Oregon", Value="OR"},
                                                    new  { Text="Pennsylvania", Value="PA"},
                                                    new  { Text="Rhode Island", Value="RI"},
                                                    new  { Text="South Carolina", Value="SC"},
                                                    new  { Text="South Dakota", Value="SD"},
                                                    new  { Text="Tennessee", Value="TN"},
                                                    new  { Text="Texas", Value="TX"},
                                                    new  { Text="Utah", Value="UT"},
                                                    new  { Text="Vermont", Value="VT"},
                                                    new  { Text="Virginia", Value="VA"},
                                                    new  { Text="Washington", Value="WA"},
                                                    new  { Text="West Virginia", Value="WV"},
                                                    new  { Text="Wisconsin", Value="WI"},
                                                    new  { Text="Wyoming", Value="WY"}

                                                    },
                                                  "value",
                                                  "text",
                                                       2), new { @class = "form-control", @placeholder = "Billing Province", id = "billingprovince" })
                                            &nbsp;
                                            @Html.ValidationMessageFor(m => m.BillingProvince)
                                        </div>
                                        <div style="float: left; white-space: nowrap;" class="col-sm-2">
                                            @Html.LabelFor(m => m.BillingPostalCode, "Billing Postal Code ", new { @class = "col-sm-2 control-label" })
                                        </div>
                                        <div class="col-sm-2">
                                            @Html.TextBoxFor(m => m.BillingPostalCode, new { @class = "form-control", @placeholder = "Billing Postal Code", id = "billingpostalcode", @maxlength = "20" })
                                        </div>
                                        <div class="col-sm-4">

                                            @Html.ValidationMessageFor(m => m.BillingPostalCode)
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="panel panel-primary">
                                <div class="panel-heading" align="left">Payment Information</div>
                                <div class="panel-body">
                                    <div class="form-group">
                                        @Html.LabelFor(m => m.CardNumber, "Card Number", new { @class = "col-sm-3 control-label", @placeholder = "Card Number" })
                                        <div class="col-sm-4">
                                            @Html.TextBoxFor(m => m.CardNumber, new { @class = "form-control", @placeholder = "Card Number", @maxlength = "16", @id = "TXTBXCARDNUM" })
                                        </div>
                                        <div class="col-sm-4" style="margin-top:9px;">
                                            @Html.ValidationMessageFor(m => m.CardNumber)
                                        </div>
                                        @*@if ((bool)Session["PayOnUserBehalf"])
                                        {
                                            <div class="col-sm-4" style="margin-top:9px;">
                                                @Html.CheckBoxFor(m => m.AgentPayOnUserBehalf, new { @id = "CHKBXPAYFORUSER" })
                                                @Html.LabelFor(m => m.AgentPayOnUserBehalf, "PAY FOR USER")
                                                @Html.ValidationMessageFor(m => m.AgentPayOnUserBehalf)
                                            </div>
                                        }*@
                                    </div>

                                    <div class="form-group">
                                        @Html.Label("Expiration Month ", new { @class = "col-sm-3 control-label" })
                                        <div class="col-sm-2">

                                            @Html.DropDownListFor(m => m.ExpirationMonth, new SelectList(
                                                      new List<Object>{
                                                        new { value="", text = "Exp. Month" },
                                                        new { value="01", text = "01" },
                                                        new { value="02", text = "02" },
                                                        new { value="03", text = "03" },
                                                        new { value="04", text = "04" },
                                                        new { value="05", text = "05" },
                                                        new { value="06", text = "06" },
                                                        new { value="07", text = "07" },
                                                        new { value="08", text = "08" },
                                                        new { value="09", text = "09" },
                                                        new { value="10", text = "10" },
                                                        new { value="11", text = "11" },
                                                        new { value="12", text = "12" },
                                                        },
                                                      "value",
                                                      "text",
                                                       2), new { @class = "form-control", @placeholder = "Expiration Month", @id = "DRPBXMONTH" })
                                            &nbsp;
                                            @Html.ValidationMessageFor(m => m.ExpirationMonth)
                                        </div>
                                        <div style="float: left; white-space: nowrap;" class="col-sm-2">
                                            @Html.Label("Expiration Year ", new { @class = "col-sm-2 control-label" })
                                        </div>
                                        <div class="col-sm-2">
                                            @Html.DropDownListFor(m => m.ExpirationYear, new SelectList(
                                                      new List<Object>{
                                                        new { value="", text = "Exp. Year" },
                                                        new { value=@DateTime.Now.Year, text = @DateTime.Now.Year.ToString() },
                                                        new { value=@DateTime.Now.AddYears(1).Year, text = @DateTime.Now.AddYears(1).Year },
                                                        new { value=@DateTime.Now.AddYears(2).Year, text = @DateTime.Now.AddYears(2).Year },
                                                        new { value=@DateTime.Now.AddYears(3).Year, text = @DateTime.Now.AddYears(3).Year },
                                                        new { value=@DateTime.Now.AddYears(4).Year, text = @DateTime.Now.AddYears(4).Year },
                                                        new { value=@DateTime.Now.AddYears(5).Year, text = @DateTime.Now.AddYears(5).Year },
                                                        new { value=@DateTime.Now.AddYears(6).Year, text = @DateTime.Now.AddYears(6).Year },
                                                        new { value=@DateTime.Now.AddYears(7).Year, text = @DateTime.Now.AddYears(7).Year },
                                                        new { value=@DateTime.Now.AddYears(8).Year, text = @DateTime.Now.AddYears(8).Year },
                                                        new { value=@DateTime.Now.AddYears(9).Year, text = @DateTime.Now.AddYears(9).Year },
                                                        new { value=@DateTime.Now.AddYears(10).Year, text = @DateTime.Now.AddYears(10).Year },
                                                        },
                                                      "value",
                                                      "text",
                                                       2), new { @class = "form-control", @placeholder = "Expiration Year", @id = "DRPBXYEAR" })
                                            &nbsp;
                                            @Html.ValidationMessageFor(m => m.ExpirationYear)
                                            <div class="col-sm-10">
                                            </div>
                                        </div>
                                        <div class="col-sm-4">

                                        </div>
                                    </div>

                                    <div class="form-group">
                                        @Html.LabelFor(m => m.CVC, "CVC ", new { @class = "col-sm-3 control-label" })
                                        <div class="col-sm-3">
                                            @Html.TextBoxFor(m => m.CVC, new { @class = "form-control", @placeholder = "CVC", @maxlength = "4", @id = "TXTBXCVC" })
                                        </div>
                                        <div class="col-sm-4" style="margin-top:9px;">
                                            @Html.ValidationMessageFor(m => m.CVC)
                                        </div>
                                    </div>
                                </div>
                            </div>
                        }

                        <div class="panel">
                            <div class="panel-body">
                                <div class="form-group">
                                    <div class="col-sm-12" align="center">
                                        @Html.CheckBoxFor(m => m.AgreedToTermsOfService)
                                        @Html.LabelFor(m => m.AgreedToTermsOfService, "I have read and agree to Terms of service ")
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-12" align="center">
                                        @Html.ValidationMessageFor(m => m.AgreedToTermsOfService)
                                        <input type="submit" value="Upgrade Now" id="registerButton" class="btn btn-primary btn-lg" />
                                    </div>
                                </div>
                            </div>
                        </div>

                    </fieldset>
                </div>
            }

        </div>
    </div>
</div>
   </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
